(function () {

    function checkSeparateCredentials() {
        var separateCredentials = $('#main\\:separate-credentials').is(':checked');
        $('#main\\:credentials-modal .modal-dialog').toggleClass('modal-lg', separateCredentials);
    }

    window.credentials = {
        editClicked: function (event) {
            if (event.status === 'success') {
                $('#main\\:credentials-modal').modal('show');
            }
        },
        credentialsSaved: function (event) {
            if (event.status === 'success') {
                if ($('#main\\:credentials-modal .text-danger').length === 0) {
                    $('#main\\:credentials-modal').modal('hide');
                }
            }
        },
        separateCredentialsChanged: function (event) {
            if (event.status === 'success') {
                checkSeparateCredentials();
            }
        }
    };

    $(document).ready(function () {
        $('body').on('show.bs.modal', '#main\\:credentials-modal', function ( ) {
            checkSeparateCredentials();
        });
//        $('body').on('shown.bs.modal', '#main\\:credentials-modal', function ( ) {
//            $.post(TSM.getRestPath("credentialsDialog?opened=true"));
//        });
//        $('body').on('hidden.bs.modal', '#main\\:credentials-modal', function ( ) {
//            $.post(TSM.getRestPath("credentialsDialog?opened=false"));
//        });

        $('body').on('keyup', '#main\\:credentials-modal input', function (event) {
            if (event.keyCode === 13) {
                $('#main\\:save-credentials').click();
                event.preventDefault();
            }
        });
    });
})();
